%define oldname eog2
%define ver_major 2.22
%def_enable color_management

Name: eog
Version: %ver_major.1
Release: alt1

Summary: Eye Of Gnome
License: %gpl2plus
Group: Graphics
Url: http://www.gnome.org
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

Provides: %oldname = %version-%release
Obsoletes: %oldname < 2.14.2-alt1

%define rpm_ver 4.0.4-alt14
%define desktop_file_utils_ver 0.8
%define scrollkeeper_ver 0.3.14

PreReq: GConf2
PreReq: scrollkeeper >= %scrollkeeper_ver

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver

BuildPreReq: rpm-build-gnome rpm-build-licenses

BuildPreReq: rpm >= %rpm_ver
BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver

# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.35.0
BuildPreReq: gnome-doc-utils >= 0.3.2
BuildPreReq: libgtk+2-devel >= 2.11.6
BuildPreReq: libgio-devel glib2-devel >= 2.15.3
BuildPreReq: gnome-vfs2-devel >= 2.10.0
BuildPreReq: libgnomeui-devel >= 2.6.0
BuildPreReq: libglade2-devel >= 2.3.6
BuildPreReq: libGConf-devel >= 2.5.90
BuildPreReq: libart_lgpl-devel >= 2.3.16
BuildPreReq: libgnome-desktop-devel >= 2.10.0
BuildPreReq: gnome-icon-theme >= 2.19.1
BuildPreReq: shared-mime-info >= 0.20
BuildPreReq: libexempi-devel >= 1.99.5
BuildPreReq: libexif-devel >= 0.6.14
%{?_enable_color_management:BuildPreReq: liblcms-devel}
BuildPreReq: libjpeg-devel
BuildPreReq: libdbus-glib-devel >= 0.71
# For Python bindings
BuildPreReq: python-module-pygobject-devel >= 2.11.5
BuildPreReq: python-module-pygtk-devel >= 2.9.7
BuildPreReq: python-module-pygnome-devel >= 2.18.2

BuildRequires: libXt-devel perl-XML-Parser scrollkeeper zlib-devel

%description
This is the Eye of GNOME, an image viewer program. It is meant to be
a fast and functional image viewer as well as an image cataloging
program.

%package devel
Summary: Development files for EOG viewer
Group: Development/GNOME and GTK+
Requires: %name = %version-%release

%description devel
This package contains files necessary to develop plugins for Eye of GNOME.

%prep
%setup -q
# fix incorrect path to lcms.h
#__subst 's,<lcms\.h>,<lcms/lcms.h>,' libeog/eog-image* shell/eog-*

%build
autoreconf -fisv
%configure \
    --with-libexif \
    %{?_enable_color_management:--with-cms} \
    --with-xmp \
    --with-libjpeg \
    --with-dbus \
    --enable-python \
    --disable-schemas-install --disable-scrollkeeper

%make_build

%install
%makeinstall

#%%gconf2_stripschemas
%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_desktopdb
%update_menus

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_desktopdb
%clean_menus

%files -f %name.lang
%_bindir/*
%_desktopdir/*
%_datadir/%name
%_iconsdir/hicolor/*/apps/%name.*
#_datadir/gconf/locale/*
%config %gconf_schemasdir/*
%doc AUTHORS ChangeLog HACKING MAINTAINERS NEWS
%doc README THANKS TODO

%files devel
%dir %_includedir/%name-2.20
%dir %_includedir/%name-2.20/%name
%_includedir/%name-2.20/%name/*.h
%_pkgconfigdir/%name.pc

%exclude %_iconsdir/hicolor/icon-theme.cache

%changelog
* Sat Apr 12 2008 Alexey Rusakov <ktirf@altlinux.org> 2.22.1-alt1
- New version (2.22.1).
- Build with libexempi.
- Updated buildreqs.
- Added update/cleanup_menus macros (thanks to repocop).

* Fri Jan 25 2008 Grigory Batalov <bga@altlinux.ru> 2.20.3-alt1.1
- Rebuilt with python-2.5.

* Tue Dec 04 2007 Alexey Shabalin <shaba@altlinux.ru> 2.20.3-alt1
- new version (2.20.3)
- add Packager

* Tue Oct 16 2007 Alexey Rusakov <ktirf@altlinux.org> 2.20.1-alt1
- new version (2.20.1)
- use rpm-build-gnome and rpm-build-licenses.
- added devel subpackage
- updated dependencies and files list
- removed no more needed subst that fixed building with liblcms.

* Thu Feb 01 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt2
- added autoreconf to fix build on x86_64.

* Wed Jan 31 2007 Alexey Rusakov <ktirf@altlinux.org> 2.16.3-alt1
- new version 2.16.3 (with rpmrb script)
- exclude scrollkeeper files explicitly.

* Sat Sep 30 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.16.1-alt1
- new version (2.16.1)
- updated dependencies

* Tue Jul 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.15.90-alt1
- new version 2.15.90.
- --disable-scrollkeeper actually works, no more need to %%exclude files.

* Mon Jun 19 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.2-alt1
- new version 2.14.2
- fixed building with lcms and enabled color_management.
- removed '2' from the package name.

* Sat Apr 15 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.14.1-alt1
- new version 2.14.1 (with rpmrb script)

* Sat Feb 25 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.90-alt1
- new version (2.13.90)
- cleaned up the spec, revised dependencies
- removed Debian menu support

* Thu Jan 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.4-alt1
- new version

* Thu Jan 12 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.13.3-alt1
- new version

* Sun Nov 13 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.2-alt1
- New version.
- BuildReqs updated.

* Tue Oct 25 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.13.1-alt1
- new version
- Updated dependencies from configure.in

* Wed Oct 05 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.1-alt1
- new version

* Tue Sep 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.12.0-alt1
- 2.12.0
- Removed unneeded buildreqs.

* Sat Jul 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.2-alt1
- 2.10.2

* Mon Apr 11 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1.1
- rebuild against libexif.so.12.

* Tue Mar 29 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Sun Mar 13 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.0-alt1
- 2.9.0

* Wed Dec 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2
- use %gconf2_stripschemas

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.1-alt1
- 2.8.1

* Mon Sep 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Thu Apr 22 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Sat Mar 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Mon Mar 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.6-alt1
- 2.5.6

* Tue Feb 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.1-alt1
- 2.4.1

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt2
- rebuild with new libexif 0.5.12.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.4.0-alt1
- 2.4.0

* Wed Sep 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.90-alt1
- 2.3.90

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.6-alt1
- 2.3.6

* Thu Jul 17 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.5-alt1
- 2.3.5

* Wed Jul 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.4-alt1
- 2.3.4

* Fri Jun 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.3-alt1
- 2.3.3

* Mon May 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Wed Apr 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.2-alt1
- 2.2.2

* Thu Mar 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Tue Jan 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.1.4-alt1
- 1.1.4

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.3-alt1
- 1.1.3

* Tue Nov 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sun Nov 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Tue Oct 15 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- 1.1.0
- buildreqs/reqs updated (eog uses libglade2 now)
- %%files section fixed.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt2
- rebuild with new pango, gtk+

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.0.3-alt1
- 1.0.3
- updated buildrequires

* Thu Jul 04 2002 Igor Androsov <blake@altlinux.ru> 1.0.1-alt1
- First build for Sisyphus.
